Bug 518132 (CVE-2009-2849) - CVE-2009-2849 kernel: md: NULL pointer deref when accessing suspend_* sysfs attributes
Summary: CVE-2009-2849 kernel: md: NULL pointer deref when accessing suspend_* sysfs a...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-2849
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,source=osssecurity,re...
Depends On: 518134 518135 518136
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-08-19 04:43 UTC by Eugene Teo (Security Response)
Modified: 2019-06-08 12:48 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-03-28 08:45:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1455 normal SHIPPED_LIVE Moderate: kernel security and bug fix update 2009-09-29 19:33:31 UTC
Red Hat Product Errata RHSA-2009:1540 normal SHIPPED_LIVE Important: kernel-rt security, bug fix, and enhancement update 2009-11-03 18:21:07 UTC

Description Eugene Teo (Security Response) 2009-08-19 04:43:33 UTC
Description of problem:
It is possible to modify one of the md/ sysfs files - suspend_lo or suspend_hi when the array is not active. NOTE: this is only a vulnerability when sysfs files are writable by an attacker. It is not writable by default.

This was introduced in commit e464eafd (v2.6.17-rc1).

Upstream commit:
http://git.kernel.org/linus/b8d966efd9a46a9a35beac50cbff6e30565125ef

Comment 2 Fedora Update System 2009-08-26 05:12:13 UTC
kernel-2.6.29.6-217.2.16.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/kernel-2.6.29.6-217.2.16.fc11

Comment 3 Fedora Update System 2009-08-27 02:19:01 UTC
kernel-2.6.29.6-217.2.16.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 errata-xmlrpc 2009-09-29 19:33:35 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:1455 https://rhn.redhat.com/errata/RHSA-2009-1455.html

Comment 5 errata-xmlrpc 2009-11-03 18:21:32 UTC
This issue has been addressed in following products:

  MRG for RHEL-5

Via RHSA-2009:1540 https://rhn.redhat.com/errata/RHSA-2009-1540.html


Note You need to log in before you can comment on or make changes to this bug.